### Constructor

# Gtk Videonew_for_media_stream

#### Declaration [src]

    GtkWidget*
    gtk_video_new_for_media_stream (
      GtkMediaStream* stream
    )

#### Description [src]

Creates a `GtkVideo` to play back the given `stream`.

#### Parameters

`stream`

  Type: `GtkMediaStream`

  A `GtkMediaStream`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A new `GtkVideo`

The data is owned by the called function.